---
title: Завантаження
x-toc-enable: true
...

Нові випуски оголошуються в [основній секції новин](news/).

Якщо ви більше зацікавлені в розробці libreboot, пройдіть на
[сторінку розробки libreboot](../git.md), яка також включає посилання на
репозиторії Git. Сторінка на [/docs/maintain/](docs/maintain/) описує те, як
Libreboot складається разом, і як підтримувати його. Якщо ви бажаєте зібрати
Libreboot із джерельного кода, [прочитайте цю сторінку](docs/build/).

READ THIS BEFORE UPDATING LIBREBOOT, OR YOU MIGHT BRICK YOUR MACHINE
====================================================================

**On newer Intel platforms that require Intel ME and/or MRC firmware, such as
ThinkPad X230 or T440p, and/or HP laptops that require KBC1126 EC firmware,
the release ROMs of Libreboot are MISSING certain files, that you must insert
yourself. FAILURE to adhere to this warning may result in you bricking your
machine (rendering it unbootable), if you were to flash the release ROMs without
modifying them in any way. For more information, please read:**

**[Insert vendor files on Sandybridge/Ivybridge/Haswell](docs/install/ivy_has_common.md)**

NOTE: This warning does not apply to ROMs that you compiled yourself, using
lbmk. It only applies to release ROMs, because ME/MRC/EC firmware is *deleted*
in release ROMs. The link above says how to re-add them. When building ROM images
yourself, from source, Libreboot's build system automatically handles it. See:
[Libreboot build instructions](docs/build/)

This isn't required on *all* Libreboot-supported boards, but if in doubt, follow
these instructions anyway. If you run the vendor scripts on a board that doesn't
need vendor files, nothing will happen.

Код підпису GPG
---------------

**Останнім випуском є Libreboot 20230625, в директорії `stable`.**

### НОВИЙ КЛЮЧ

Повний відбиток ключа: `98CC DDF8 E560 47F4 75C0  44BD D0C6 2464 FA8B 4856`

Вищезазначений ключ для Libreboot 20230625, та наступних випусків.

Завантажте ключ тут: [lbkey.asc](lbkey.asc)

Випуски Libreboot підписані з використанням GPG.

### СТАРИЙ КЛЮЧ:

Цей ключ для Libreboot 20160907 та всіх старіших випусків:

Повний відбиток ключа: CDC9 CAE3 2CB4 B7FC 84FD  C804 969A 9795 05E8 C5B2

Ключ GPG також може бути завантажений разом із цим експортованим дампом
публічного ключа: [lbkeyold.asc](lbkeyold.asc).

	sha512sum -c sha512sum.txt
	gpg --verify sha512sum.txt.sig

Репозиторій Git
--------------

Посилання на архіви регулярних випусків зазначені на цій сторінці.

Однак, для абсолютно найновішої версії Libreboot,
існує репозиторії Git, з якого можна завантажити. Ідіть сюди:

[Як завантажити Libreboot через Git](git.md)

Дзеркала HTTPS {#https}
-------------

**Останнім випуском є Libreboot 20230625, в директорії `stable`.**

Дані дзеркала є рекомендованими, оскільки використовують TLS (https://) шифрування.

Ви можете завантажити Libreboot через дані дзеркала:

* <https://www.mirrorservice.org/sites/libreboot.org/release/> (Кентський
університет, Великобританія)
* <https://mirrors.mit.edu/libreboot/> (Університет МТІ, США)
* <https://mirror.math.princeton.edu/pub/libreboot/> (Прінстонський
університет, США)
* <https://mirror.shapovalov.tech/libreboot/> (shapovalov.tech, Україна)
* <https://mirror.koddos.net/libreboot/> (koddos.net, Нідерланди)
* <https://mirror-hk.koddos.net/libreboot/> (koddos.net, Гонконг)
* <https://mirror.cyberbits.eu/libreboot/> (cyberbits.eu, Франція)
* <https://mirror.mangohost.net/libreboot/> (mangohost.net, Moldova)

Дзеркала RSYNC {#rsync}
-------------

Наступні дзеркала rsync доступні публічно:

* <rsync://rsync.mirrorservice.org/libreboot.org/release/> (Кентський університет,
Великобританія)
* <rsync://mirror.math.princeton.edu/pub/libreboot/> (Прінстонський університет, США)
* <rsync://rsync.shapovalov.tech/libreboot/> (shapovalov.tech, Україна)
* <rsync://ftp.linux.ro/libreboot/> (linux.ro, Румунія)
* <rsync://mirror.koddos.net/libreboot/> (koddos.net, Нідерланди)
* <rsync://mirror-hk.koddos.net/libreboot/> (koddos.net, Гонконг)
* <rsync://mirror.mangohost.net/libreboot/> (mangohost.net, Moldova)

Ви підтримуєте роботу дзеркала? Зв'яжіться з проектом libreboot, і посилання буде
додано до цієї сторінки!

Ви можете зробити своє дзеркало rsync доступним через свій веб-сервер, а також налаштувати
ваше *власне* дзеркало бути доступним через rsync. Є багато онлайн-ресурсів,
які показують вам те, як налаштувати сервер rsync.

Як створити ваше власне дзеркало rsync:

Корисно для відзеркалювання повного набору архівів випусків Libreboot. Ви можете розмістити
команду rsync в crontab та витягувать файли в директорію на
вашому веб-сервері.

Якщо ви збираєтесь відзеркалювати повний набір, рекомендовано, щоб вами було виділено
хоча би 25 ГБ. Rsync Libreboot наразі приблизно 12 ГБ, таким чином виділення 25 ГБ
забезпечить вам багато місця на майбутнє. Мінімально, ви маєте переконатись, що
хоча би 15-20 ГБ простору доступно, для вашого дзеркала Libreboot.

*Настійно рекомендується, щоб ви використовували дзеркало libreboot.org*, якщо бажаєте
розміщувати офіційне дзеркало. В іншому випадку, якщо ви просто бажаєте створити своє власне
локальне дзеркало, вам варто використовувати одне з інших дзеркал, яке синхронізується з
libreboot.org.

Перед створенням дзеркала, зробіть директорію на вашому веб-сервері. Для 
прикладу:

	mkdir /var/www/html/libreboot/

Тепер ви можете виконувати rsync, для прикладу:

	rsync -avz --delete-after rsync://rsync.libreboot.org/mirrormirror/ /var/www/html/libreboot/

Ви могли би розмістить це в щогодинний crontab. Для прикладу:

	crontab -e

Потім в crontab, додайте цей рядок і збережіться/вийдіть (щогодинний crontab):

	0 * * * * rsync -avz --delete-after rsync://rsync.libreboot.org/mirrormirror/ /var/www/html/libreboot/

**Це надзвичайно важливо, щоб мати в кінці косу лінію (/) в кінці кожного шляху,
в вищезазначеній команді rsync. В інакшому випадку, rsync буде поводитись дуже дивно.**

**ПОМІТКА: `rsync.libreboot.org` не є напряму доступним для громадськості, окрім
тих, чиї IP у білому списку. Через пропускну здатність, Брандмауер, який працює
на libreboot.org, блокує вхідні запити rsync, окрім окремих IP.**

**Якщо ви бажаєте запустити дзеркало rsync, синхронізуйте з одного з дзеркал третіх сторін
вище і встановіть своє дзеркало. Ви можете потім зв'язатись з Лією Роу, щоб мати ваші адреси
IP внесеним в білий список для використання rsync - якщо адреси IP відповідають DNS A/AAAA
записам для вашого хоста rsync, це може бути використано. Сценарій виконується в щогодинному
crontab на libreboot.org, який отримує A/AAAA записи внесених в білий список дзеркал
rsync, автоматично додаючи правила, які дозволяють їм проходити через
брандмауер.**

Якщо ви бажаєте регулярно тримати свої дзеркала rsync оновленими, ви можете додати це до
crontab. Ця сторінка розповідає вам, як використовувати crontab:
<https://man7.org/linux/man-pages/man5/crontab.5.html>

Дзеркала HTTP {#http}
------------

**Останнім випуском є Libreboot 20230625, під директорією `stable`.**

УВАГА: ці дзеркала є не-HTTPS, що означає, що вони
незашифровані. Ваш трафік може бути об'єктом втручання
противників. Особливо ретельно переконайтесь, щоб перевірити підписи GPG, передбачаючи, що
ви маєте правильний ключ. Звісно, вам варто зробити це в будь-якому випадку, навіть
при використанні HTTPS.

* <http://mirror.linux.ro/libreboot/> (linux.ro, Румунія)
* <http://mirror.helium.in-berlin.de/libreboot/> (in-berlin.de, Німеччина)

Дзеркала FTP {#ftp}
-----------

**Останнім випуском є Libreboot 20230625, під директорією `stable`.**

УВАГА: FTP є також незашифрованим, подібно HTTP. Ті ж самі ризики присутні.

* <ftp://ftp.mirrorservice.org/sites/libreboot.org/release/> (Кентський
університет, Великобританія)
* <ftp://ftp.linux.ro/libreboot/> (linux.ro, Румунія)

Статично зв'язані
------------------

Libreboot включає статично зв'язані виконувані файли в деяких випусках, побудовані з
доступного джерельного кода. Ці виконувані файли мають деякі бібліотеки, вбудовані в
них, так щоб виконувані файли працювали на багатьох дистрибутивах Linux.

Для дотримання GPL v2, джерельні ISO постачаються
проектом Libreboot. Ви можете знайти ці джерельні ISO  в директорії `ccsource`
на дзеркалах `rsync`.

Попередні випуски Libreboot 20160907 не розповсюджують статично зв'язані двійкові
файли. Натомість ці випуски є лише вихідними кодами, окрім попередньо скомпільованих образів
ПЗП, для яких достатньо звичайних архівів джерельного коду Libreboot. Ці новіші
випуски натомість автоматизують встановлення залежностей побудови, з інструкцієї
в документації для побудови різних утиліт з джерельного коду.

Ці виконувані файли є утилітами, подібними `flashrom`.
